# General Tooling

## [Tenderly](https://tenderly.co/)

Tenderly offers a wide range of dev tooling ranging from simulation APIs to RPC and more. You can find a list of all their products here: <https://docs.tenderly.co/products> .

***

## [Particle Network](https://particle.network/)

Particle Network provides AA-powered social logins on Mode Network, supercharging user experience through two-click onboarding.

***

## [thirdWeb](https://thirdweb.com?utm_source=modedocs\&utm_medium=docs)

Frontend, backend, and onchain tools to build complete web3 apps — on every EVM chain. SDKs, APIs, CLI and much more.\
\
Check the docs: [https://portal.thirdweb.com/](https://portal.thirdweb.com?utm_source=modedocs\&utm_medium=docs)

{% hint style="info" %}
Thirdweb is now running a startup program with a lot of amazing benefits for builders:\
\
<https://thirdweb.com/community/startup-program>
{% endhint %}

***

## [Supermigrate](https://supermigrate.xyz/en)

Supermigrate enables the automatic deployment of existing ERC20 tokens to Layer 2 networks such as Mode. Earn rewards while bridging and adding liquidity.

## [ZeroDev](https://docs.zerodev.app/)

ZeroDev is the first chain-abstracted smart account. Mode applications can use ZeroDev to embed a wallet that accepts deposits from any chain, and spend the deposits on any chain, all without the user explicitly dealing with bridging.\
\
Check the docs: <https://docs.zerodev.app>

{% hint style="info" %}
When using ZeroDev on Mode, make sure to:

* Append `?provider=CONDUIT` to the bundler your URL you get from the ZeroDev dashboard.
* When calling [createKernelAccount](https://docs.zerodev.app/sdk/core-api/create-account#create-a-kernel-account), specify `useMetaFactory: false`.
  {% endhint %}

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mode.network/tools/general-tooling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
